Bug 1052919 - (CVE-2014-0368) CVE-2014-0368 OpenJDK: insufficient Socket checkListen checks (Networking, 8011786)
CVE-2014-0368 OpenJDK: insufficient Socket checkListen checks (Networking, 80...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140114,repor...
: Security
Depends On:
Blocks: 1049945
  Show dependency treegraph
 
Reported: 2014-01-14 07:00 EST by Tomas Hoger
Modified: 2014-07-29 11:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: icedtea 2.4.4, icedtea 2.3.13, icedtea 1.12.8, icedtea 1.13.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:41:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2014-01-14 07:00:12 EST
A flaw was found in the way the Networking component of OpenJDK checked permissions of code to listen on network ports.  An untrusted Java application or applet could possibly use this flaw to bypass certain Java sandbox restrictions.
Comment 1 Tomas Hoger 2014-01-14 16:21:50 EST
Public now via Oracle CPU January 2014.  Fixed in Oracle JDK 7u51, 6u71 and 5.0u61.

External References:

http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.html
Comment 2 Tomas Hoger 2014-01-14 16:24:46 EST
Related note in the release notes:

http://www.oracle.com/technetwork/java/javase/7u51-relnotes-2085002.html

  Change in Default Socket Permissions

  The default socket permissions assigned to all code including untrusted code
  have been changed in this release. Previously, all code was able to bind any
  socket type to any port number greater than or equal to 1024. It is still
  possible to bind sockets to the ephemeral port range on each system. The
  exact range of ephemeral ports varies from one operating system to another,
  but it is typically in the high range (such as from 49152 to 65535). The new
  restriction is that binding sockets outside of the ephemeral range now
  requires an explicit permission in the system security policy.

  Most applications using client tcp sockets and a security manager will not
  see any problem, as these typically bind to ephemeral ports anyway.
  Applications using datagram sockets or server tcp sockets (and a security
  manager) may encounter security exceptions where none were seen before. If
  this occurs, users should review whether the port number being requested is
  expected, and if this is the case, a socket permission grant can be added
  to the local security policy, to resolve the issue.

  See 8011786 (not public).

Ephemeral port range for Linux is 32768-65535.
Comment 3 errata-xmlrpc 2014-01-14 20:03:09 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0027 https://rhn.redhat.com/errata/RHSA-2014-0027.html
Comment 4 errata-xmlrpc 2014-01-14 20:04:34 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0026 https://rhn.redhat.com/errata/RHSA-2014-0026.html
Comment 5 errata-xmlrpc 2014-01-15 14:18:40 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0030 https://rhn.redhat.com/errata/RHSA-2014-0030.html
Comment 6 Tomas Hoger 2014-01-16 03:53:00 EST
OpenJDK7 upstream commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/e6160aedadd5
Comment 7 Tomas Hoger 2014-01-16 14:31:02 EST
Follow-up commit, re-implementing large parts of the above commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/e935cd4139c6
Comment 8 errata-xmlrpc 2014-01-27 14:56:43 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0097 https://rhn.redhat.com/errata/RHSA-2014-0097.html
Comment 10 errata-xmlrpc 2014-02-04 14:37:21 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0136 https://rhn.redhat.com/errata/RHSA-2014-0136.html
Comment 11 errata-xmlrpc 2014-02-04 14:38:34 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0135 https://rhn.redhat.com/errata/RHSA-2014-0135.html
Comment 12 errata-xmlrpc 2014-02-04 14:42:34 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0134 https://rhn.redhat.com/errata/RHSA-2014-0134.html
Comment 13 errata-xmlrpc 2014-04-17 07:42:47 EDT
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html
Comment 14 errata-xmlrpc 2014-06-10 09:13:12 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2014:0705 https://rhn.redhat.com/errata/RHSA-2014-0705.html
Comment 15 errata-xmlrpc 2014-07-29 11:41:38 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2014:0982 https://rhn.redhat.com/errata/RHSA-2014-0982.html

Note You need to log in before you can comment on or make changes to this bug.